<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<?php
	$cV01 = $_POST['v1'];	/* DESDE */
	$cV02 = $_POST['v2'];	/* HASTA */
?>
<?php
	// conexión
	$servername = $svr_servidor;
	$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
	$conexion = sqlsrv_connect($servername, $conectioninfo);
	if ($conexion == false)
	{
		$mensaje = "Existe un error al intentar conectarse con el servidor...";
	}
	else
	{
		// CONSULTA SQL
		$sql = "SELECT PC.TIPODOC AS IDDOC, T.DESCRIPCION AS TIPODOC, PC.IDESTADO, ESTADO = CASE IDESTADO WHEN  -1 THEN 'PENDIENTE' WHEN 10 THEN 'PROCESADO' ELSE 'NO_ASIGNADO' END, \n"
			  ."PC.NUMSERIE, PC.NUMPEDIDO, PC.SUPEDIDO, PC.FECHAPEDIDO, PC.FECHAENTREGA, P.CODPROVEEDOR, P.NOMPROVEEDOR \n"
			  ."FROM PEDCOMPRACAB AS PC \n"
			  ."LEFT JOIN PROVEEDORES AS P ON (PC.CODPROVEEDOR = P.CODPROVEEDOR) \n"
			  ."LEFT JOIN TIPOSDOC As T ON (PC.TIPODOC = T.TIPODOC) \n"
			  ."WHERE (CONVERT(DATE,FECHAPEDIDO,3) >= '".$cV01."') AND (CONVERT(DATE,FECHAPEDIDO,3) <= '".$cV02."')";
		$pa1 = array();
		$op1 = array("scrollable" => SQLSRV_CURSOR_KEYSET);
		// Lanzar la consulta
		$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
		if (sqlsrv_num_rows($re1) != 0)
		{
			echo "
			<div class='x_panel'>
				<div class='x_title'>
					<h3>Solicitudes de compra</h3>
					<button type='submit' class='btn btn-success'>
						<span class='glyphicon glyphicon-export' aria-hidden='true'></span> Exportar a excel
					</button>
					<div class='clearfix'></div>
				</div>
				<div class='table-responsive'>
					<table id='example' class='table table-striped table-bordered' style='width:100%'>
						<thead>
							<tr>
								<th></th>
								<th>SERIE</th>
								<th>PEDIDO</th>
								<th>SUPEDIDO</th>
								<th>COD.PVE</th>
								<th>PROVEEDOR</th>
								<th>ID.DOC</th>
								<th>DOCUMENTO</th>
								<th>FECHA PEDIDO</th>
								<th>FECHA ENTREGA</th>
								<th>IDESTADO</th>
								<th>ESTADO</th>
							</tr>
						</thead>
						<tbody>";
						while($fila = sqlsrv_fetch_array($re1))
						{
							$cV01 = $fila['NUMSERIE'];
							$cV02 = $fila['NUMPEDIDO'];
							echo "
								<tr>
									<td>
										<button class='btn btn-sm btn-dark' type='button' data-placement='top' onclick=popup01('$cV01','$cV02') data-toggle='tooltip' data-original-title='Detalle'><i class='fa fa-list-alt'></i></button>
									</td>
									<td>".$fila['NUMSERIE']."</td>
									<td>".$fila['NUMPEDIDO']."</td>
									<td>".$fila['SUPEDIDO']."</td>
									<td>".$fila['CODPROVEEDOR']."</td>
									<td>".$fila['NOMPROVEEDOR']."</td>
									<td>".$fila['IDDOC']."</td>
									<td>".$fila['TIPODOC']."</td>
									<td>".$fila['FECHAPEDIDO']->format('Y-m-d h:m:s')."</td>
									<td>".$fila['FECHAENTREGA']->format('Y-m-d h:m:s')."</td>
									<td>".$fila['IDESTADO']."</td>
									<td>".$fila['ESTADO']."</td>
								</tr>
							";
						}
						echo "
						</tbody>
					</table>
				</div>
			</div>
			";
		}
		else
		{
			echo "
			<div class='alert alert-warning alert-dismissible fade in' role='alert'>
			<button type='button' class='close' data-dismiss='alert' aria-label='Close'><span aria-hidden='true'>×</span>
			</button>
				Registros <strong>NO</strong> localizados.
			</div>
			";
		}
		sqlsrv_free_stmt($re1);
	}
	sqlsrv_close($conexion);
?>
<script>
	$(document).ready(function() {
		$('#example').DataTable();
	} );
</script>